> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Intel Request

export const name_0 = "Flare CTI"

<Info>
  Access to {name_0} is required for this feature.
  Please contact your Customer Success Manager for more details.
</Info>

## Guides

See the guide for using this endpoint:
[Generate a Threat Flow Report <Icon icon="book" size={16} />](/guides/threat-flow-report).


## OpenAPI

````yaml firework-v4-openapi get /firework/v4/threat_flow/intel/requests/{id}
openapi: 3.1.0
info:
  title: Firework API
  version: v4
servers:
  - url: https://api.flare.io
security:
  - BearerAuth: []
paths:
  /firework/v4/threat_flow/intel/requests/{id}:
    get:
      tags:
        - public
      summary: Get Intel Request
      operationId: get_intel_request_threat_flow_intel_requests__id__get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntelRequestResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    IntelRequestResponse:
      properties:
        request_id:
          type: string
          format: uuid
          title: Request Id
        status:
          $ref: '#/components/schemas/AsyncRequestStatus'
        created_at:
          type: string
          format: date-time
          title: Created At
        request_payload:
          $ref: '#/components/schemas/IntelRequestPayloadResponse'
        result:
          anyOf:
            - $ref: '#/components/schemas/IntelRequestProgress'
            - type: 'null'
        report:
          anyOf:
            - $ref: '#/components/schemas/PydanticThreatFlowReport'
            - type: 'null'
      type: object
      required:
        - request_id
        - status
        - created_at
        - request_payload
        - result
      title: IntelRequestResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AsyncRequestStatus:
      type: string
      enum:
        - pending
        - processing
        - completed
        - error
      title: AsyncRequestStatus
    IntelRequestPayloadResponse:
      properties:
        question:
          type: string
          title: Question
        tone:
          $ref: '#/components/schemas/IntelTone'
      type: object
      required:
        - question
        - tone
      title: IntelRequestPayloadResponse
    IntelRequestProgress:
      properties:
        report_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Report Id
          description: The ID of the Custom Intel associated with the request
        current_step:
          anyOf:
            - $ref: '#/components/schemas/IntelRequestStep'
            - type: 'null'
          description: The current step of the request
        iteration:
          anyOf:
            - type: integer
            - type: 'null'
          title: Iteration
          description: The number of iterations of the data collection process
        events_retrieved_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Events Retrieved Count
          description: The number of events retrieved from the decomposed queries search
        generated_queries:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Generated Queries
          description: The queries generated from the topic for the data collection process
        triage_events_analyzed_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Triage Events Analyzed Count
          description: >-
            The number of events analyzed (used to track progress of the triage
            process)
        triage_events_total_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Triage Events Total Count
          description: The total number of events in the triage process
        avg_relevance_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Avg Relevance Score
          description: The average relevance score of the triaged events
        web_search_queries:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Web Search Queries
          description: The queries used for web search
      type: object
      title: IntelRequestProgress
    PydanticThreatFlowReport:
      properties:
        id:
          type: integer
          title: Id
        format_type:
          $ref: '#/components/schemas/ThreatFlowReportFormatType'
          default: simple_summary
        intel_type:
          $ref: '#/components/schemas/IntelType'
          default: unit_summary_based
        title:
          type: string
          title: Title
        subtitle:
          anyOf:
            - type: string
            - type: 'null'
          title: Subtitle
        summary:
          type: string
          title: Summary
        content:
          type: string
          title: Content
        tags:
          items:
            type: string
          type: array
          title: Tags
        highlights:
          items:
            type: string
          type: array
          title: Highlights
        related_activity_uids:
          items:
            type: string
          type: array
          title: Related Activity Uids
        prompt_preset_uid:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt Preset Uid
        created_at:
          type: string
          format: date-time
          title: Created At
        published_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Published At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        reading_time:
          type: integer
          title: Reading Time
        tenant_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Tenant Id
        organization_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Organization Id
      type: object
      required:
        - id
        - title
        - subtitle
        - summary
        - content
        - tags
        - highlights
        - related_activity_uids
        - prompt_preset_uid
        - created_at
        - published_at
        - updated_at
        - reading_time
        - tenant_id
        - organization_id
      title: PydanticThreatFlowReport
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    IntelTone:
      type: string
      enum:
        - executive
        - analytical
      title: IntelTone
    IntelRequestStep:
      type: string
      enum:
        - dark_web_collection
        - triage
        - ai_analysis
        - clear_web_enrichment
        - report_generation
        - output_delivery
      title: IntelRequestStep
    ThreatFlowReportFormatType:
      type: string
      enum:
        - simple_summary
        - expanded_summary
        - finished_intel_standard
      title: ThreatFlowReportFormatType
    IntelType:
      type: string
      enum:
        - unit_summary_based
        - custom_intel
      title: IntelType
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````